Subject: Re: [PATCH 3/3] rev-list: add --allow-missing-tips to be used with --missing=...

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 Feb 2024 08:47:11 -0800

Christian Couder <[email-masked]> writes:

> I am also not happy with adding yet another dump loop like this. I did
> it because I couldn't think of a simple solution to avoid that.

FWIW, that word is "dumB" loop, if you are including the word in
your updated version.

But I am still wondering if this can be unconditionally turned on
any time --missing=... is used.  Have you considered it?  If we can
do that, it would eliminate the need for that extra broken loop that
will fail with "git rev-list --grep --allow-missing-tips -20 HEAD".